sigc::reference_wrapper< T_type > Struct Template Reference

Reference wrapper. More...

`#include <sigc++/reference_wrapper.h>`

## Public Member Functions

| reference_wrapper (T_type& v)
| operator T_type& () const

## Public Attributes

T_type& | value_

## Detailed Description

### template<class T_type>
struct sigc::reference_wrapper< T_type >

Reference wrapper.

Use sigc::ref() to create a reference wrapper.

Deprecated:
  Use std::ref() or std::cref() instead to create a std::reference_wrapper().

## Constructor & Destructor Documentation

template <class T_type >

sigc::reference_wrapper< T_type >::reference_wrapper | ( | T_type & | v | ) |

inline explicit

## Member Function Documentation

template <class T_type >

sigc::reference_wrapper< T_type >::operator T_type& | ( |  | ) | const

inline

## Member Data Documentation

template <class T_type >

T_type& sigc::reference_wrapper< T_type >::value_